Bug 1068494 - postgresql-jdbc: Switch to java-headless (build)requires
Summary: postgresql-jdbc: Switch to java-headless (build)requires
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql-jdbc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1067528
TreeView+ depends on / blocked
 
Reported: 2014-02-21 13:16 UTC by Stanislav Ochotnicky
Modified: 2014-04-23 14:45 UTC (History)
3 users (show)

Fixed In Version: 9.3.1101-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-23 14:45:20 UTC
Type: ---


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2014-02-21 13:16:20 UTC
postgresql-jdbc or one of its subpackages currently Requires and/or BuildRequires
java. OpenJDK package has been split and most packages should now Require
package 'java-headless' instead. Requires and BuildRequires on java-devel remain
unchanged.

Few exceptions where packages can not use java-headless but must keep using
full java package.
 * software using Java awt subsystem
 * software using Java sound subsystem

Your options:
1. Leave this bug untouched and after March 17th 2014 an automated tool will
   migrate this package to java-headless and run a rebuild in Fedora Rawhide.
2. Change bug to 'Assigned' if you plan to review and migrate to java-headless
   manually. Automated tool will not touch bugs that are not in NEW state.

See tracking bug #1067528 or Headless Java change proposal[1] and Java Packaging
guidelines[2] for more details about this change.

If you have more questions about this change feel free to ask on java-devel
mailing list[3] or #fedora-java Freenode IRC channel (mostly 9:00-18:00 CET).


[1] https://fedoraproject.org/wiki/Changes/HeadlessJava
[2] https://fedoraproject.org/wiki/Packaging:Java\#BuildRequires_and_Requires
[3] http://lists.fedoraproject.org/pipermail/java-devel/

Comment 1 Mikolaj Izdebski 2014-03-28 21:19:00 UTC
Fixed in postgresql-jdbc-9.2.1002-5

Comment 2 Mikolaj Izdebski 2014-03-28 22:34:22 UTC
I believe that this bug is fixed in postgresql-jdbc-9.2.1002-5,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=507890

Comment 3 Mikolaj Izdebski 2014-04-23 14:31:56 UTC
Fixed in postgresql-jdbc-9.3.1101-2

Comment 4 Mikolaj Izdebski 2014-04-23 14:45:20 UTC
I believe that this bug is fixed in postgresql-jdbc-9.3.1101-2,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=512629


Note You need to log in before you can comment on or make changes to this bug.